Page MenuHomePhabricator

Fix some regular expressions in llvm-mode.el
ClosedPublic

Authored by tromey on Jan 15 2018, 11:14 AM.

Details

Summary

llvm-mode.el had a few incorrect regular expressions.

In some cases it was using "\" unnecessarily. In another case it
needed an additional "\" to properly indicate a numbered sub-match.

Make comment-start buffer-local in llvm-mode.el

llvm-mode was setting comment-start globally. However, it is better
to only set it locally in the current buffer.

Don't use purecopy in llvm-mode.el

There's no reason to use purecopy in llvm-mode.el.
purecopy is only needed for files that are dumped in emacs.

Add a version header to llvm-mode.el

Adding a version header to llvm-mode.el allows it to be installed by
the Emacs package manager. There are not many requirements on the
version number; however it is useful to users to bump it when
something significant changes. Here I've chosen just to start at 1.0.

Diff Detail

Event Timeline

tromey created this revision.Jan 15 2018, 11:14 AM

Adding you for review because I think you reviewed earlier changes to this file.

I thought I was submitting a patch series but it seems that it was all squashed.
I could rewrite the commit message if you'd like.

smeenai edited reviewers, added: espindola; removed: rafael.Jan 26 2018, 9:22 AM
smeenai added a subscriber: smeenai.

(adding Rafael's current Phabricator account)

davide accepted this revision.Jan 26 2018, 9:23 AM
davide added a subscriber: davide.

LGTM with a redacted commit message. Do you have commit access or you need me to commit it on your behalf?

This revision is now accepted and ready to land.Jan 26 2018, 9:23 AM
tromey updated this revision to Diff 131607.Jan 26 2018, 9:31 AM

Updated the commit message.

LGTM with a redacted commit message. Do you have commit access or you need me to commit it on your behalf?

I do not have commit access.

espindola closed this revision.Jan 29 2018, 2:59 PM

r323705.
Thanks!